Hardware overview

Hardware includes any device that is connected to your computer and is controlled by your computer's microprocessor. This includes equipment that was connected to your computer when it was manufactured, as well as peripheral equipment that you added later. The following are examples of devices:

  • Universal Serial bus (USB)
  • IEEE 1394
  • Modems
  • Disk drives
  • CD-ROM drives
  • Digital video disc (DVD) drives
  • Printers
  • Network adapters
  • Keyboards
  • Video adapter cards
  • Monitors
  • Game controllers

Devices (Plug and Play and non-Plug and Play) can be connected to your computer in several ways. Some devices, such as network adapters and sound cards, are connected to expansion slots inside your computer. Other devices, such as printers and scanners, are connected to ports on the outside of your computer. Some devices, known as PC Cards, connect only to PC Card slots on a portable computer.

For a device to work properly with Windows, software known as a device driver must be installed on the computer. Each device is supported by one or more device drivers, which are typically supplied by the device manufacturer. However, some device drivers are included with Windows. If the device is Plug and Play, Windows can automatically detect it and install the appropriate device drivers.

If the device is not automatically installed by Windows, the Found New Hardware Wizard will appear and ask you to insert any media (such as compact discs or floppy disks) that were provided with the device. Non-Plug and Play devices are installed using the Add Hardware Wizard in Control Panel. If you want to manually install device drivers, you must use Device Manager. Before manually installing device drivers, you should consult the device documentation provided by the manufacturer.

Important

You must be logged on as an administrator or as a member of the Administrators group in order to install or configure a device if:

  • The device driver does not have the Designed for Windows Logo or a digital signature.
  • Further action is required to install the device, requiring Windows to display a user interface.
  • The device driver is not already on your computer.
  • You need to configure a device using Device Manager.
  • Your computer is connected to a network; network policy settings may also prevent you from installing hardware.

Note

  • XOX

Related Topics


Installing devices overview

In terms of ease of installation, devices can be roughly divided into two groups: Plug and Play and non-Plug and Play. Most devices manufactured since 1995 are Plug and Play. A Plug and Play device is one you should be able to attach to your computer and begin using right away, and not have to manually configure.

How can you tell if your device is Plug and Play? Plug and Play devices often have connectors that look like this:

USB type A connector USB type B connector

Installing a new device, whether it's Plug and Play or non-Plug and Play, typically involves up to three steps:

  • Connecting to your computer.
  • Loading the appropriate device drivers. If your device is Plug and Play, this step may not be necessary.
  • Configuring device properties and settings. If your device is Plug and Play, this step may not be necessary.

Whether your device is Plug and Play or non-Plug and Play, you should follow the device manufacturer's installation instructions to ensure that it functions properly. This may require you to shut down and unplug your computer, and then connect the device to the appropriate port or insert it into the appropriate slot.

If the device does not automatically work, it is non-Plug and Play, or it is a necessary startup device like the hard disk, you may have to restart your computer. Windows then attempts to detect your new device.

If Windows does not successfully find your new hardware, you must use the Add Hardware Wizard in Control Panel to tell Windows what type of device you are installing. The Add Hardware Wizard may ask you to insert media (such as a compact disc or floppy disk) if any were provided with the device. The Add Hardware Wizard is primarily used for installing non-Plug and Play devices.

After Windows detects the device, or you identify the device using the Add Hardware Wizard, Windows tries to find and install the correct driver for the device.

  • First, Windows searches for the driver on your computer's hard disk and on the device manufacturer's floppy disk or compact disc, if one is inserted into a disk drive. If the driver is found in either of these places, Windows installs it.
  • If Windows doesn't find a driver, and your computer is connected to the Internet, Windows searches for one on the Microsoft Web site. XOX If the driver is found on the Windows Update site, Windows copies and installs it onto your computer. If your computer is not connected to the Internet, Windows displays a message prompting you to connect to the Internet.
  • If Windows cannot find the driver on the Windows Update site, the Found New Hardware Wizard will be displayed and will prompt you to insert any media (such as compact discs or floppy disks) that were provided with the device. If the driver is located there, Windows installs it onto your computer.

Warning

  • After the device drivers are loaded onto your system, Windows configures the properties and settings for the device. Although you can manually configure device properties and settings, you should let Windows do it. When you manually configure properties and settings, the settings become fixed, which means Windows cannot modify them in the future if a problem arises or there is a conflict with another device.

Important

You must be logged on as an administrator or as a member of the Administrators group in order to install a device if:

  • The device driver does not have the Designed for Windows Logo or a digital signature.
  • Further action is required to install the device, requiring Windows to display a user interface.
  • The device driver is not already on your computer.
  • You need to use the Add Hardware Wizard in Control Panel to install a device. The Add Hardware Wizard is typically needed to install non-Plug and Play devices.
  • Your computer is connected to a network; network policy settings may also prevent you from installing hardware.


Install a device

Microsoft Windows graphic

To install a device

Most devices manufactured since 1995 are Plug and Play. This means that you should be able to attach a device to your computer and begin using it right away, without having to configure it or install additional software. If you are using an older device, or if the procedure below doesn't work, your device may be non-Plug and Play. XOX

  1. Connect the device to the appropriate port or slot on your computer, according to the device manufacturer's instructions.
  2. Windows may prompt you to restart your computer, or the device manufacturer's instructions may ask you to restart your computer.

Notes

  • If you need to install a device, such as a sound card, into a slot inside your computer, shut down Windows and turn off the computer. Remove the computer cover and install the device in the appropriate slot. Replace the computer cover, and then turn on the computer.
  • If the device is a small computer system interface (SCSI) device, connect it to the SCSI port on your computer according to the device manufacturer's instructions. Restart or turn on your computer.

    You need to be sure that the device number for the SCSI device is not used by another SCSI device. To change the device number, see the device manufacturer's instructions.

  • If the device is a universal serial bus (USB) or IEEE 1394 device, plug it into any USB or IEEE port on your computer. If prompted, follow the instructions that appear on your screen. Typically, USB ports look like this:

    • USB type A port

    USB type B port

    You do not need to shut down or turn off your computer when you install or plug in a USB or IEEE 1394 device. Although USB and IEEE 1394 are similar technologies, you cannot interchange USB connections with IEEE 1394 connections.


Install a non-Plug and Play device

Microsoft Windows graphic

To install a non-Plug and Play device

XOX

  1. Attach the non-Plug and Play device to your computer.
  2. Open Add Hardware in Control Panel.
  3. In the Add Hardware Wizard, click Next.
  4. In Is the hardware connected?, click Yes, I have already connected the hardware, and then click Next.
  5. In The following hardware is already installed on your computer, click Add a new hardware device, and then click Next.
  6. Do one of the following:
    • Click Search for and install the hardware automatically (Recommended) if you want Windows to try to detect the new non-Plug and Play device you want to install.
    • Click Install the hardware that I manually select from a list (Advanced) if you know the type and model of the device you are installing and you want to select it from a list of devices.
  7. Click Next, and then follow the instructions on your screen.

Notes

  • XOX
  • You may need administrative privileges to add and set up a Plug and Play device. You need administrative privileges if installing the device requires a user interface or if you experience errors during the installation process.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. XOX
  • Installing a non-Plug and Play device may require you to restart your computer. You may want to print this Help topic before restarting your computer, because you will not be able to open Help during startup.


Configuring devices

When you install a Plug and Play device, Windows automatically configures the device so it will work properly with the other devices that are installed on your computer. As part of that configuration process, Windows assigns a unique set of system resources to the device you are installing. These resources can include one or more of the following:

  • Interrupt request (IRQ) line numbers.
  • Direct memory access (DMA) channels.
  • Input/output (I/O) port addresses.
  • Memory address ranges.

Each resource that is assigned to your device must be unique or the device will not function properly. For Plug and Play devices, Windows automatically ensures that these resources are configured properly.

Occasionally, two devices require the same resources, resulting in a device conflict. If this occurs, you can manually change the resource settings to be sure each setting is unique. However some resources, such as interrupts on PCI devices, can be shared, depending on the drivers and computer.

When you install a non-Plug and Play device, the resource settings for the device are not automatically configured. Depending on the type of device you are installing, you may have to manually configure these settings. Instructions for doing so should be supplied in the manual that came with your device.

Generally, you should not change resource settings manually, because when you do, the settings become fixed, and Windows will then have less flexibility when allocating resources to other devices. If too many resources become fixed, Windows may not be able to install new Plug and Play devices.

You can manually configure devices using Device Manager.

Warning

  • Changing resource settings improperly can disable your hardware and cause your computer to malfunction or become inoperable. Resource settings should only be changed if you are certain the new settings do not conflict with other hardware, or if a hardware manufacturer has provided you with specific resource settings for a device.


Diagnose device problems

Microsoft Windows graphic

To diagnose device problems

XOX

  1. Open Add Hardware in Control Panel.
  2. Click Next. Windows will try to detect new Plug and Play devices.
  3. Under Installed hardware, choose the device you want to diagnose and fix, and then click Next.
  4. Click Finish to open the troubleshooter, and then follow the instructions on the screen.

Notes

  • XOX
  • If you cannot find the device in the list, click Add a new hardware device, and then follow the instructions on the screen.
  • You can also perform some diagnostic tasks, including repairing devices that are not working properly, using Device Manager. This is recommended only for users who have an expert understanding of devices and device configurations. XOX
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. XOX


Plug and Play overview

It is simple to install a Plug and Play device. Just plug it in and Windows does the rest by installing any necessary drivers, updating the system, and allocating resources. Most devices manufactured since 1995 are Plug and Play.

For example, you can dock a portable computer and connect to a network without changing the configuration. Later, you can undock that same computer and use a modem to connect to the network, again without making any changes to the configuration. Windows does it for you.

With Plug and Play, you can be confident that new devices will work together properly and that your computer will restart correctly after you install or uninstall hardware.

Plug and Play also recognizes new hardware when you start your computer and loads any drivers that the hardware device needs.

When you install or uninstall a hardware device, Plug and Play works with Windows Power Options to manage the power requirements of your hardware and peripherals, shutting them down or conserving power when you are not using them. And, if you are working in another program when you install or uninstall a device, Plug and Play lets you know that it is about to change your computer configuration and warns you to save your work.

If something does go wrong, Plug and Play records the information in an event log.

Plug and Play devices often have connectors that look like this:

USB type A connector USB type B connector

Plug and Play device ports, located on your computer, typically look like this:

USB type A port USB type B port


Getting Plug and Play device driver support

Windows installs a Plug and Play device and its driver automatically. If you choose to install an older driver or hardware device, however, you may have limited Plug and Play support or none at all.

Using a Plug and Play driver with a non-Plug and Play device may provide some Plug and Play support. Although the system cannot recognize the hardware and load the appropriate drivers on its own, Plug and Play can oversee the installation by allocating resources, interacting with Power Options in Control Panel, and recording any issues in the Event Log.

Generally, you cannot install non-Plug and Play hardware without performing some manual setup. Use the Add Hardware Wizard in Control Panel or Device Manager to change the settings for these older devices.

Before uninstalling a Plug and Play device, you must use Device Manager to notify Windows that you want to remove the device. Once you notify Windows, the drivers for the device are no longer loaded when you start your computer.

Important

  • You must be logged on as an administrator or a member of the Administrators group in order to install a device using the Add Hardware Wizard in Control Panel or Device Manager. If your computer is connected to a network, network policy settings may also prevent you from installing hardware. If an administrator has already loaded the drivers for a device, you can install the device without administrator privileges.


Using Plug and Play with ACPI hardware

To take full advantage of Plug and Play, you must use an Advanced Configuration and Power Interface (ACPI) computer, running in ACPI mode, and the hardware devices must be Plug and Play. In an ACPI computer the operating system, not the hardware, configures and monitors the computer.

The Windows operating system determines which programs are active and manages all of the power requirements for your computer subsystems and peripherals. ACPI lets the operating system direct power to devices as they need it, preventing unnecessary power demands on your system.

Because Windows controls your computer's resources and configuration, you can install Plug and Play hardware devices without restarting the computer. Windows automatically identifies the new hardware and installs the drivers it needs. If you are using any other type of computer, you may need to perform some setup steps manually and restart your computer when installing new hardware devices.


Managing power when installing a Plug and Play device

Plug and Play works with Power Options in Control Panel to be sure that your system runs efficiently while you are installing or removing hardware devices. Power Options controls the power supply to the devices attached to your computer, supplying power to those that you are using, and conserving power for those that you are not using. Windows will automatically manage the power for devices. However, some devices may have options you can set in Device Manager.

To use Power Options, you must have an Advanced Configuration and Power Interface (ACPI) computer that is set up by the manufacturer to support these features. For more information, see your computer's documentation.


Hardware types overview

Windows classifies devices by hardware type. Hardware types include such things as video adapter cards, keyboards, CD-ROM drives, ports, and printers. When you use Device Manager or the Add Hardware Wizard, you will see a list of the hardware types that are installed on your computer.

Hardware types are further categorized according to individual devices. For example, the modem hardware type represents hundreds of different modems that you can install and use with Windows.

Devices can also be classified according to the way they are connected to your computer. Most devices are permanently connected to your computer and are typically installed only once. They are available every time you turn on your computer unless you disable or uninstall them. Sound cards, video display cards, modems, and hard disks are examples of this type of device.

Other devices are designed to be connected and disconnected from your computer as you need them. You can plug or insert this type of device into the appropriate port or expansion slot, and Windows will recognize the device and configure it without restarting your computer. Likewise, when you disconnect this type of device, you only need to inform Windows that you are ejecting, removing, or unplugging it. You do not need to shut down or restart your computer. Examples of this type of device include:

  • PC Cards that connect to portable computers.
  • Hardware that connects to a universal serial bus (USB) or an IEEE 1394 bus.
  • Docking stations that support hot docking and undocking of portable computers.
  • Hardware that connects to serial or parallel ports.

XOX


Hardware profiles overview

A hardware profile is a set of instructions that tells Windows which devices to start when you start your computer or which settings to use for each device. When you first install Windows, a hardware profile called Profile 1 (for laptops, the profiles are Docked Profile or Undocked Profile) is created. By default, every device that is installed on your computer at the time you install Windows is enabled in the Profile 1 hardware profile.

Hardware profiles are especially useful if you have a portable computer. Most portable computers are used in a variety of locations, and hardware profiles will let you change which devices your computer uses when you move it from location to location. For example, you may have one profile named Docking Station Configuration for using your portable computer at a docking station with hardware components such as a CD-ROM drive and a network adapter. And you may have a second profile named Undocked Configuration for using your portable computer in a hotel or on an airplane, when you are not using a network adapter or a CD-ROM but you are using a modem and a portable printer.

If there is more than one hardware profile on your computer, you can designate a default profile that will be used every time you start your computer. You can also have Windows ask you which profile to use every time you start your computer. Once you create a hardware profile, you can use Device Manager to disable and enable devices that are in the profile. When you disable a device in a hardware profile, the device drivers for the device are not loaded when you start your computer. XOX


Compile Date

Microsoft Windows graphic
Compile Date: 2002-08-20


Inform Windows that you plan to remove a device from your computer

Microsoft Windows graphic

To inform Windows that you plan to remove a device from your computer

Safely Remove Hardware allows you to remove a device, such as a removable storage device or a network card, without shutting down and restarting your computer.

  1. Open Safely Remove Hardware.
  2. In the list of hardware devices, click the device you want to remove, and then click Stop.

    3. Windows will notify you when it is safe to remove the device.

Note

  • To open Safely Remove Hardware, double-click the icon located in the notification area of the taskbar.